package com.rjconsultores.ventaboletos.dao;

import java.sql.Date;
import java.util.List;

import com.rjconsultores.ventaboletos.entidad.Empresa;
import com.rjconsultores.ventaboletos.entidad.Estado;
import com.rjconsultores.ventaboletos.entidad.Feriado;


public interface FeriadoDAO  extends GenericDAO<Feriado, Integer> {

    public List<Feriado> buscar(Date fecferiado);

    public boolean ehFeriado(Date fecFeriado, Empresa empresa, Estado estadoOrigem);

	public List<Feriado> buscarDataEmpresaEstado(Date data, Empresa empresa, Estado estado);
}

